> For the complete documentation index, see [llms.txt](https://docs.sandshrew.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sandshrew.io/sandshrew-namespaces/multicall.md).

# Multicall

SANDSHREW provides the sandshrew\_multicall method for batch calls against the SANDSHREW supported namespaces.

Multicall functionality is exclusive to mainnet and testnet calls currently. Support for the  signet.sandshrew\.io endpoint is ongoing.

{% tabs %}
{% tab title="curl" %}

```sh
curl https://mainnet.sandshrew.io/v1/<developer key> \
  -H 'Content-Type: application/json' \
  -d '{
    "jsonrpc": "2.0", 
    "method": "sandshrew_multicall", 
    "params": [
      ["esplora_block-height", ["817974"]], 
      ["esplora_blocks:tip:height", []]
    ], 
    "id": 0 
}'
```

{% endtab %}
{% endtabs %}

<details>

<summary>Params</summary>

**Works with any RPC call supported by SANDSHREW**

The parameters to sandshrew\_multicall are a list of 2-element lists, where the first element is the RPC method you want to call, and the second element is a list of parameters you wish to supply with the RPC method.

</details>

<details>

<summary>Response</summary>

```
{
  "id": 0,
  "result": [
    {
      "result": "000000000000000000006fc88a9a6f7ef0e4b64143482076f3755faef3bfcbd5"
    },
    { "result": 842608 }
  ],
  "jsonrpc": "2.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sandshrew.io/sandshrew-namespaces/multicall.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
